aboutsummaryrefslogtreecommitdiffstats
path: root/tests/t0010-validate-html.sh
diff options
context:
space:
mode:
authorJohn Keeping <john@keeping.me.uk>2013-04-01 15:09:05 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2013-04-08 22:27:11 +0200
commitc95cc5ec56dbb7394015eb18201403be6d80f69b (patch)
tree7014b96a1a1408b5291532c0c442082aba693a80 /tests/t0010-validate-html.sh
parentDo not load user or system gitconfig and gitattributes (diff)
downloadcgit-c95cc5ec56dbb7394015eb18201403be6d80f69b.tar.xz
cgit-c95cc5ec56dbb7394015eb18201403be6d80f69b.zip
tests: use Git's test framework
This allows tests to run in parallel as well as letting us use "prove" or another TAP harness to run the tests. Git's test framework requires Git to be fully built before letting any tests run, so add a new target to the top-level Makefile which builds all of Git instead of just libgit.a and make the "test" target depend on that. Signed-off-by: John Keeping <john@keeping.me.uk>
Diffstat (limited to 'tests/t0010-validate-html.sh')
-rwxr-xr-xtests/t0010-validate-html.sh31
1 files changed, 15 insertions, 16 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 3fe4800..5bd0a25 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -1,5 +1,6 @@
#!/bin/sh
+test_description='Validate html with tidy'
. ./setup.sh
@@ -7,9 +8,9 @@ test_url()
{
tidy_opt="-eq"
test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
- cgit_url "$1" >trash/tidy-$test_count || return
- sed -ie "1,4d" trash/tidy-$test_count || return
- "$tidy" $tidy_opt trash/tidy-$test_count
+ cgit_url "$1" >tidy-$test_count || return
+ sed -ie "1,4d" tidy-$test_count || return
+ "$tidy" $tidy_opt tidy-$test_count
rc=$?
# tidy returns with exitcode 1 on warnings, 2 on error
@@ -21,21 +22,19 @@ test_url()
fi
}
-prepare_tests 'Validate html with tidy'
-
-tidy=`which tidy`
+tidy=`which tidy 2>/dev/null`
test -n "$tidy" || {
- echo "Skipping tests: tidy not found"
- tests_done
+ skip_all='Skipping html validation tests: tidy not found'
+ test_done
exit
}
-run_test 'index page' 'test_url ""'
-run_test 'foo' 'test_url "foo"'
-run_test 'foo/log' 'test_url "foo/log"'
-run_test 'foo/tree' 'test_url "foo/tree"'
-run_test 'foo/tree/file-1' 'test_url "foo/tree/file-1"'
-run_test 'foo/commit' 'test_url "foo/commit"'
-run_test 'foo/diff' 'test_url "foo/diff"'
+test_expect_success 'index page' 'test_url ""'
+test_expect_success 'foo' 'test_url "foo"'
+test_expect_success 'foo/log' 'test_url "foo/log"'
+test_expect_success 'foo/tree' 'test_url "foo/tree"'
+test_expect_success 'foo/tree/file-1' 'test_url "foo/tree/file-1"'
+test_expect_success 'foo/commit' 'test_url "foo/commit"'
+test_expect_success 'foo/diff' 'test_url "foo/diff"'
-tests_done
+test_done